<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/network_service/NetworkService.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_fbced19172bb698893d58d1a886497de.html">network_service</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">NetworkService.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;ostream&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for NetworkService.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="NetworkService_8hpp__incl.png" border="0" usemap="#frontend_2src_2lib_2network__service_2NetworkService_8hpp" alt=""/></div>
<map name="frontend_2src_2lib_2network__service_2NetworkService_8hpp" id="frontend_2src_2lib_2network__service_2NetworkService_8hpp">
<area shape="rect" title=" " alt="" coords="168,5,379,47"/>
<area shape="rect" title=" " alt="" coords="5,95,85,121"/>
<area shape="rect" title=" " alt="" coords="109,95,168,121"/>
<area shape="rect" title=" " alt="" coords="192,95,259,121"/>
<area shape="rect" title=" " alt="" coords="283,95,359,121"/>
<area shape="rect" title=" " alt="" coords="383,95,507,121"/>
<area shape="rect" title=" " alt="" coords="531,95,618,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="NetworkService_8hpp__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2network__service_2NetworkService_8hppdep" alt=""/></div>
<map name="frontend_2src_2lib_2network__service_2NetworkService_8hppdep" id="frontend_2src_2lib_2network__service_2NetworkService_8hppdep">
<area shape="rect" title=" " alt="" coords="710,5,921,47"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="547,184,702,225"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="17,452,173,493"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="186,541,362,583"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="647,273,803,315"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="305,95,515,136"/>
<area shape="rect" href="frontend_2src_2lib_2network__service_2main_8cpp.html" title=" " alt="" coords="879,95,1056,136"/>
<area shape="rect" href="NetworkService_8cpp.html" title=" " alt="" coords="1081,95,1291,136"/>
<area shape="rect" href="test__network__service_8cpp.html" title=" " alt="" coords="1315,95,1561,136"/>
<area shape="rect" href="Chat_8cpp.html" title=" " alt="" coords="467,273,622,315"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="285,363,444,404"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="312,452,487,493"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="5,541,161,583"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="97,631,253,672"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="277,631,468,672"/>
<area shape="rect" href="table_8cpp.html" title=" " alt="" coords="647,363,803,404"/>
<area shape="rect" href="gamestateservice_8cpp.html" title=" " alt="" coords="297,184,523,225"/>
</map>
</div>
</div>
<p><a href="NetworkService_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html">NetworkService</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aca0f70d536f7bbd7a035ba91a150684a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NetworkService_8hpp.html#aca0f70d536f7bbd7a035ba91a150684a">responseWriteCallback</a> (void *data, size_t size, size_t nmemb, void *userData)</td></tr>
<tr class="separator:aca0f70d536f7bbd7a035ba91a150684a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aca0f70d536f7bbd7a035ba91a150684a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0f70d536f7bbd7a035ba91a150684a">&#9670;&nbsp;</a></span>responseWriteCallback()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t responseWriteCallback </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>nmemb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
